% NLEditing MATLAB toolbox-Eigenvector display

% Hossein Talebi and Peyman Milanfar, "Nonlocal Image Editing", IEEE Transactions on Image Processing, vol 23, No. 10, pp. 4460-4473, October 2014.
% This is experimental software. It is provided for non-commercial research purposes only. Use at your own risk. No warranty is implied by 
% this distribution. Copyright  2014 by University of California.

addpath('support');
clc;  

z = double(imread('house.jpg')); % input image

% Display Input Image
figure,imshow(uint8(z),[0 255])
title('Input Image', 'FontSize', 12);

% compute the filter eigenvectors and eigenvalues
Mode = 'nsp'; % 'nsp': kernel without spatial term, 'spt': kernel with spatial term
[V, lambda] = Eigenvectors(z,Mode);

% Display j-th eigenvector
j = 2;
figure,imshow(reshape(V(:,j),[size(z,1),size(z,2)]),[])
title(sprintf('V_{%d} (lambda_{%d} = %.4f)', j, j, lambda(j)), 'FontSize', 12);
colorbar;





