% NLEditing MATLAB toolbox-Globalizing Mask

% Hossein Talebi and Peyman Milanfar, "Nonlocal Image Editing", IEEE Transactions on Image Processing, vol 23, No. 10, pp. 4460-4473, October 2014.
% This is experimental software. It is provided for non-commercial research purposes only. Use at your own risk. No warranty is implied by 
% this distribution. Copyright  2014 by University of California.

addpath('support');
clc;  

z = double(imread('castle.png')); % input image

% Display Input Image
figure,imshow(uint8(z),[0 255])
title('Input Image', 'FontSize', 12);

% Detail Manipulation (Notice: user should select a region to propagate the filtering result)
alpha = [2 2 2 1.05]; %filter parameters: alpha = [alpha1 alpha2 alpha3 alpha4]
t = 5; %diffusion parameter
[zh, GlbMask] = GlobalMask(z,alpha,t);

% Display Output Images
figure,imshow(GlbMask,[]);
title(sprintf('Globalizing Mask (t = %d)', t), 'FontSize', 12);colorbar;

figure,imshow(uint8(zh),[0 255]);
title('Propagated Filter', 'FontSize', 12);




