function [V, lambda] = Eigenvectors(z,Mode)
% Orthonormal Eigenvectors Display function
% input z: RGB image
% output V: eigenvectors

zcc = RGB2YCC(z);
l = squeeze(zcc(:,:,1));

[M,N] = size(l);

% sampling
max_sample = 100;
smp_ind = sampling (M,N,max_sample);

% smoothing parameter
h = 5;

% Nystrom
[phi,Pi] = Nyst(l,h,smp_ind,Mode);

% Sinkhorn
[W_A, W_B] = Sink(phi,Pi);
clear phi; clear Pi;

% Orthogonalizing
[V,lambda] = Orth(W_A,W_B);
clear W_A; clear W_B;

% permutation
V  = Perm(V,smp_ind);

end
