function [V,lambda] = Orth(WA,WB)
% function for orthogonalizing eigenvectors of the affinity matrix W with
% submatrices WA and WB
% output V: Orthonormal eigenvectors of matix W
% output lambda: eigenvalues

WAh = sqrtm(pinv(WA));
Q = WA + WAh*WB*WB'*WAh;
[U,L,T] = svd(Q);
V = [WA;WB']*WAh*U*pinv(sqrt(L));
lambda = diag(L);
lambda(lambda>1) = 1;
end
