function smp_ind = sampling(M,N,max_sample)
% function returning indices of sampled pixels. Pixels are sampled
% spatially uniform.
% input M,N: Image size
% input max_sample: maximum number of samples 
% output smp_ind: sample indices

% skip size (distance between samples)
smp_dist = round(sqrt(M*N/max_sample)); 

% start sampling from x0 and y0
x0 = round(smp_dist/2);
y0 = round(smp_dist/2);

% x and y sampling grid
spx = x0:smp_dist:M-x0;
spy = y0:smp_dist:N-y0;

% find the indices of the pixel samples
c=0;
smp_ind = [];
for j=1:length(spy)
    for i=1:length(spx)
        c=c+1;
        smp_ind(c) =  spx(i)+M*(spy(j)-1);
    end
end

Sample_Number = length(smp_ind)
Sampling_Percentage = 100*length(smp_ind)/(M*N)

end